
var discussChannel;

/**
 * loadChannels parse the plugin directory for plugins that might be installed and call their constructor
 */
function loadChannels()
{
    var pluginFilename;
    var pluginIndex = document.getElementById("blogIDs");
    var pluginDir = new Dir(chromeDir);
    pluginDir.append("discuss");
    pluginDir.append("plugins");
    if (!pluginDir.exists()) {
      pluginDir.create();
    }
    if (pluginDir.isDir()) {
      var dirListing = pluginDir.readDir();
      for (var i = 0; i < dirListing.length; i++) {
        pluginFilename = dirListing[i].leaf;
        var base = pluginFilename.slice(0, pluginFilename.lastIndexOf("."));
        if(dirListing[i].isFile()) {
          if(include(dirListing[i].URL) == false) {
//            alert(base);
            var pluginTitle = eval(base + "();");
            pluginIndex.appendItem(pluginTitle, base);
//            pluginIndex.setAttribute('onclick', 'alert("cool");');
          }
        }
      } // loop dir for files
    } // plugin dir exist
}

/**
 * chooseChannel is called when the user switch a upstream channel
 * usually used to load the sub channel
 */
function chooseChannel()
{
    var localTempPosts = document.getElementById("post");
    var localTempPublish = document.getElementById("publish");
    var localTempDelete = document.getElementById("delete");
    var localTempPostIds = document.getElementById("postIDs");
    newChannelIndex = document.getElementById("blogIDs").selectedItem.value;
    var metaTextbox = document.getElementById("metaTextbox");
    if (isNaN(newChannelIndex)) {
        //        getSubChannels();
        if (newChannelIndex == 'Localstore') {
            localTempPosts.removeAttribute("oncommand");
            localTempPosts.setAttribute("oncommand", "localPost();");
            localTempPublish.removeAttribute("oncommand");
            localTempPublish.setAttribute("oncommand", "localPost();");
            localTempDelete.removeAttribute("oncommand");
            localTempDelete.setAttribute("oncommand", "localDelete();");
            localTempPostIds.removeAttribute("oncommand");
            localTempPostIds.setAttribute("oncommand", "getLocalContent();");
            localRecentFile();
        }
    } else {
        localTempPosts.removeAttribute("oncommand");
        localTempPosts.setAttribute("oncommand", "blogPost(false);");
        localTempPublish.removeAttribute("oncommand");
        localTempPublish.setAttribute("oncommand", "blogPost(true);");
        localTempDelete.removeAttribute("oncommand");
        localTempDelete.setAttribute("oncommand", "deleteBlogPost();");
        localTempPostIds.removeAttribute("oncommand");
        localTempPostIds.setAttribute("oncommand", "getContent();");
        getRecentPosts(retrievePost);
    }
}


