/* ***** BEGIN LICENSE BLOCK *****
 * Version: NPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Netscape Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mike Lee's code.
 *
 * The Initial Developer of the Original Code is
 * Mike Lee.
 * Portions created by the Initial Developer are Copyright (C) 2002
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *	Mike Lee <tseng_mike@yahoo.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the NPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the NPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

try {
  retrievePost = discussPref.getIntPref("discuss.retrievePost");
} catch (e) {
  retrievePost = 5;
}

function blogPost(publish)
{
//	  editorShell.SelectAll();
//	  blogContent = editorShell.GetContentsAs("text/html", 1);
	var blogContent = editorGetContent(1);
	var matchRegex = /<img.+>/gi;
	var urlResult = blogContent.match(matchRegex);
	if (urlResult) {
		matchRegex = /file:[^ ]+\"/gi;
		var imgResult = new String(urlResult);
		imgResult = imgResult.match(matchRegex);
		var finalResult = new String(imgResult)
		finalResult = finalResult.slice(0, finalResult.length - 1);
		var upload = new blogUpstream();
		upload.uploadImg(finalResult);
		document.getElementById("statusbar-display").label = "Uploading image"
/*		  fullUrl = discussPref.getCharPref("ftpServerUrl");
		if ( fullUrl.charAt(fullUrl.length-1) != '/' )
			fullUrl = fullUrl + '/';*/
		newImgUrl = discussPref.getCharPref("discuss.imageDir");
		if ( newImgUrl.charAt(newImgUrl.length-1) != '/' )
			newImgUrl = newImgUrl + '/';
//		  newImgUrl = fullUrl + newImgUrl;
		var stripImgRegex = /file:\/+.+\//;
		finalResult = finalResult.replace(stripImgRegex, "");
		newImgUrl = newImgUrl + finalResult + "\"";
		blogContent = blogContent.replace(matchRegex, newImgUrl);
	}

//	  blogPostid = document.getElementById("postIDs").selectedItem.value;
	blogPostid = document.getElementById("prevBlogPostList").value;
	if (!blogPostid) {
		blogPostid = 0;
	}
	if (blogPostid == 0) {
		if (publish) {
			recentPublish = true;
		}
		newPost(blogContent, publish);
	} else {
		if (publish) {
			recentPublish = true;
		}
		editPost(blogPostid, blogContent, publish);
	}
	window.clearInterval(saveInterval);
	clearField();
	menuPopup = document.getElementById("postIDs");
	menuPopup.selectedItem = newPostIndex;
}

function getContent(postid)
{
	found = false;
	i = 0;
//	  postid = document.getElementById("postIDs").selectedItem.value;
	if (recentResult) {
	  while (found == false && i < recentResult.Count()) {
		dictResult = recentResult.QueryElementAt(i, Components.interfaces.nsIDictionary);
		if (dictResult.getValue("postid").QueryInterface(Components.interfaces.nsISupportsString) == postid) {
			blogContent = dictResult.getValue("content").QueryInterface(Components.interfaces.nsISupportsString);
//			  document.getElementById("scraptDocument").value = blogContent;
//				editorShell = editorShell.QueryInterface(Components.interfaces.nsIEditorShell);
//			  src = blogContent;
			editorOpen(blogContent);
			found = true;
		}
		i++;
	  }
	}
}

function pingSelectedBlog()
{
	found = false;
	i = 0;
	blogid = document.getElementById("blogIDs").selectedItem.value;
//	  postid = document.getElementById("prevBlogPostList").value;
	if (blogInfoResult) {
	  while (found == false && i < blogInfoResult.Count()) {
		dictResult = blogInfoResult.QueryElementAt(i, Components.interfaces.nsIDictionary);
		if (dictResult.getValue("blogid").QueryInterface(Components.interfaces.nsISupportsString) == blogid) {
			blogUrl = dictResult.getValue("url").QueryInterface(Components.interfaces.nsISupportsString);
			blogName = dictResult.getValue("blogName").QueryInterface(Components.interfaces.nsISupportsString);
//			  document.getElementById("scraptDocument").value = blogContent;
//				editorShell = editorShell.QueryInterface(Components.interfaces.nsIEditorShell);
			found = true;
		}
		i++;
	  }
	}
	weblogUpdatesPing(blogName, blogUrl);
}

function deleteBlogPost()
{
//	  postid = document.getElementById('postIDs').selectedItem.value;
	postid = document.getElementById("prevBlogPostList").value;
	if (confirm("Are you sure you want to delete post: " + postid)) {
		deletePost(postid);
		clearField()
		menuPopup = document.getElementById("postIDs");
		menuPopup.selectedItem = newPostIndex;
	}
//	  document.getElementById('scraptDocument').value='';
}

function statusReport(message)
{
	document.getElementById("statusbar-display").label = message;
}
