function testUploadImg()
{
    var upload = new blogUpstream();
    upload.uploadImg('file:///e:/tablebar.png');
}

function blogUpstream() {}

blogUpstream.prototype = {
    ftpUserName: null,
    ftpPassword: null,
    file: null,
    chann: null,

    constructUrl: function()
    {
        var fileRegex = /file:.+\//;
        var file = this.file.replace(fileRegex, "");
        this.ftpUserName = discussPref.getCharPref("discuss.ftpUsername");
        this.ftpPassword = discussPref.getCharPref("discuss.ftpPassword");
        // generate full path
        fullUrl = discussPref.getCharPref("discuss.ftpServerUrl");
        if ( fullUrl.charAt(fullUrl.length-1) != '/' )
            fullUrl = fullUrl + '/';
        fullUrl = fullUrl + discussPref.getCharPref("discuss.imageDir")
        if ( fullUrl.charAt(fullUrl.length-1) != '/' )
            fullUrl = fullUrl + '/';
        fullUrl = fullUrl + file;

        var regex = /ftp:\/\//gi  //hack to get around the nsIURL::username nsIURL::password bug?
        fullUrl = fullUrl.replace(regex, "ftp://" + this.ftpUserName + ":" + this.ftpPassword + "@");
        return fullUrl;
    },

    uploadImg: function (upFilename)
    {
//        var chann = this.ftpUpload(this.constructUrl(), 'e:\\tablebar.png');
        this.file = upFilename;
        this.chann = this.ftpUpload(this.constructUrl(), this.file);
        this.chann.asyncOpen(this, null);
    },

    ftpUpload: function (destUrl, file)
    {
    //create stream [nsIInputStream]
        var fileHandle = Components.classes['@mozilla.org/file/local;1'].
                         createInstance(Components.interfaces.nsILocalFile);
        var url = Components.classes["@mozilla.org/network/standard-url;1"];
        fileurl = url.createInstance(Components.interfaces.nsIFileURL);
        fileurl.spec = file;

//        fileHandle.initWithPath(file);
        ioService = Components.classes["@mozilla.org/network/io-service;1"];
        ioService = ioService.getService(Components.interfaces.nsIIOService);
        url = url.createInstance(Components.interfaces.nsIFileURL);
        url.spec = destUrl;
        if (this.ftpUserName) { // bug, not working properly, work around by hand constructing the url
            url.username = this.ftpUserName;
            if (this.ftpPassword) {
                url.password = this.ftpPassword;
            }
        }
//        alert(url.spec);
        if (url.scheme == 'ftp') {
            channel = ioService.newChannelFromURI(url);
            upload = channel.QueryInterface(Components.interfaces.nsIUploadChannel);
            upload.setUploadFile(fileurl.file, null, -1);
            return channel;
        } else {
            alert ("Only ftp server is supported");
            return null;
        }
//    upload stream [through queryinterface'in the channel]
    },

    onStartRequest: function(request, ctxt) {
        dump("onStartRequest status = " + request.status + "\n");
    },

    onStopRequest: function(request, ctxt, status, errorMsg) {
        dump("onStopRequest status = " + request.status + " " + errorMsg + "\n");
        document.getElementById("statusbar-display").label = "Image uploaded"
    },

    onDataAvailable: function(request, ctxt, inStream, sourceOffset, count) {
        dump("onDataAvailable status = " + request.status + " " + count + "\n");
    }
};


